QsciLexerJSON Class Reference

`#include <qscilexerjson.h>`

Inherits QsciLexer.

## Public Types

enum | { Default = 0 , Number = 1 , String = 2 , UnclosedString = 3 , Property = 4 , EscapeSequence = 5 , CommentLine = 6 , CommentBlock = 7 , Operator = 8 , IRI = 9 , IRICompact = 10 , Keyword = 11 , KeywordLD = 12 , Error = 13 }

## Public Member Functions

| QsciLexerJSON (QObject *parent=0)
virtual | ~QsciLexerJSON ()
const char * | language () const
const char * | lexer () const
QColor | defaultColor (int style) const
bool | defaultEolFill (int style) const
QFont | defaultFont (int style) const
QColor | defaultPaper (int style) const
const char * | keywords (int set) const
QString | description (int style) const
void | refreshProperties ()
void | setHighlightComments (bool highlight)
bool | highlightComments () const
void | setHighlightEscapeSequences (bool highlight)
bool | highlightEscapeSequences () const
void | setFoldCompact (bool fold)
bool | foldCompact () const
Public Member Functions inherited from QsciLexer
| QsciLexer (QObject *parent=0)
virtual | ~QsciLexer ()
virtual int | lexerId () const
QsciAbstractAPIs * | apis () const
virtual const char * | autoCompletionFillups () const
virtual QStringList | autoCompletionWordSeparators () const
int | autoIndentStyle ()
virtual const char * | blockEnd (int *style=0) const
virtual int | blockLookback () const
virtual const char * | blockStart (int *style=0) const
virtual const char * | blockStartKeyword (int *style=0) const
virtual int | braceStyle () const
virtual bool | caseSensitive () const
virtual QColor | color (int style) const
virtual bool | eolFill (int style) const
virtual QFont | font (int style) const
virtual int | indentationGuideView () const
virtual int | defaultStyle () const
virtual QColor | paper (int style) const
QColor | defaultColor () const
QFont | defaultFont () const
QColor | defaultPaper () const
QsciScintilla * | editor () const
void | setAPIs (QsciAbstractAPIs *apis)
void | setDefaultColor (const QColor &c)
void | setDefaultFont (const QFont &f)
void | setDefaultPaper (const QColor &c)
virtual void | setEditor (QsciScintilla *editor)
bool | readSettings (QSettings &qs, const char *prefix="/Scintilla")
virtual int | styleBitsNeeded () const
virtual const char * | wordCharacters () const
bool | writeSettings (QSettings &qs, const char *prefix="/Scintilla") const

## Protected Member Functions

bool | readProperties (QSettings &qs, const QString &prefix)
bool | writeProperties (QSettings &qs, const QString &prefix) const
Protected Member Functions inherited from QsciLexer
QByteArray | textAsBytes (const QString &text) const
QString | bytesAsText (const char *bytes, int size) const

## Additional Inherited Members

Public Slots inherited from QsciLexer
virtual void | setAutoIndentStyle (int autoindentstyle)
virtual void | setColor (const QColor &c, int style=-1)
virtual void | setEolFill (bool eoffill, int style=-1)
virtual void | setFont (const QFont &f, int style=-1)
virtual void | setPaper (const QColor &c, int style=-1)
Signals inherited from QsciLexer
void | colorChanged (const QColor &c, int style)
void | eolFillChanged (bool eolfilled, int style)
void | fontChanged (const QFont &f, int style)
void | paperChanged (const QColor &c, int style)
void | propertyChanged (const char *prop, const char *val)

## Detailed Description

The QsciLexerJSON class encapsulates the Scintilla JSON lexer.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

This enum defines the meanings of the different styles used by the JSON lexer.

Enumerator
Default | The default.
Number | A number.
String | A string.
UnclosedString | An unclosed string.
Property | A property.
EscapeSequence | An escape sequence.
CommentLine | A line comment.
CommentBlock | A block comment.
Operator | An operator.
IRI | An Internationalised Resource Identifier (IRI).
IRICompact | A JSON-LD compact IRI.
Keyword | A JSON keyword.
KeywordLD | A JSON-LD keyword.
Error | A parsing error.

## Constructor & Destructor Documentation

## QsciLexerJSON()

QsciLexerJSON::QsciLexerJSON | ( | QObject * | parent = 0 | ) |

Construct a QsciLexerJSON with parent parent. parent is typically the QsciScintilla instance.

Referenced by writeProperties().

## Member Function Documentation

## language()

const char * QsciLexerJSON::language | ( |  | ) | const

virtual

Returns the name of the language.

Implements QsciLexer.

## lexer()

const char * QsciLexerJSON::lexer | ( |  | ) | const

virtual

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

## defaultColor()

QColor QsciLexerJSON::defaultColor | ( | int | style | ) | const

virtual

Returns the foreground colour of the text for style number style.

See also
  defaultPaper()

Reimplemented from QsciLexer.

## defaultEolFill()

bool QsciLexerJSON::defaultEolFill | ( | int | style | ) | const

virtual

Returns the end-of-line fill for style number style.

Reimplemented from QsciLexer.

## defaultFont()

QFont QsciLexerJSON::defaultFont | ( | int | style | ) | const

virtual

Returns the font for style number style.

Reimplemented from QsciLexer.

## defaultPaper()

QColor QsciLexerJSON::defaultPaper | ( | int | style | ) | const

virtual

Returns the background colour of the text for style number style.

See also
  defaultColor()

Reimplemented from QsciLexer.

## keywords()

const char * QsciLexerJSON::keywords | ( | int | set | ) | const

virtual

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

## description()

QString QsciLexerJSON::description | ( | int | style | ) | const

virtual

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

## refreshProperties()

void QsciLexerJSON::refreshProperties | ( |  | ) |

virtual

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

## setHighlightComments()

void QsciLexerJSON::setHighlightComments | ( | bool | highlight | ) |

If highlight is true then line and block comments will be highlighted. The default is true.

See also
  hightlightComments()

## highlightComments()

bool QsciLexerJSON::highlightComments | ( |  | ) | const

inline

Returns true if line and block comments are highlighted

See also
  setHightlightComments()

## setHighlightEscapeSequences()

void QsciLexerJSON::setHighlightEscapeSequences | ( | bool | highlight | ) |

If highlight is true then escape sequences in strings are highlighted. The default is true.

See also
  highlightEscapeSequences()

## highlightEscapeSequences()

bool QsciLexerJSON::highlightEscapeSequences | ( |  | ) | const

inline

Returns true if escape sequences in strings are highlighted.

See also
  setHighlightEscapeSequences()

## setFoldCompact()

void QsciLexerJSON::setFoldCompact | ( | bool | fold | ) |

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also
  foldCompact()

## foldCompact()

bool QsciLexerJSON::foldCompact | ( |  | ) | const

inline

Returns true if trailing blank lines are included in a fold block.

See also
  setFoldCompact()

## readProperties()

bool QsciLexerJSON::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix )

protected virtual

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

## writeProperties()

bool QsciLexerJSON::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix ) const

protected virtual

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

References QsciLexerJSON().